%global project_name utils
Name:           DFL-%{project_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        DesQ library to obtain system information across DesQ projects
License:        GPL-3.0-only
URL:            https://gitlab.com/desktop-frameworks/%{project_name}

Source0:        %{url}/-/archive/v%{version}/%{project_name}-v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Linguist)

%description
%{summary}.

%package -n %{name}-devel
Summary:  Development subpackage for %{name}
Requires: %{name}%{?dist} = %{version}

%description -n %{name}-devel
%{summary}.

%prep
%autosetup -p1 -n %{project_name}-v%{version}

%build
%meson -Duse_qt_version=qt6
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md ReleaseNotes
%license LICENSE
%{_libdir}/libdf6utils.so.0
%{_libdir}/libdf6utils.so.%{version}

%files -n %{name}-devel
%{_includedir}/DFL/DF6/DFUtils.hpp
%{_libdir}/libdf6utils.so
%{_libdir}/pkgconfig/df6utils.pc

%changelog
* Tue Apr 23 2024 Steve Cossette <farchord@gmail.com> - 0.2.0-1
- Initital release
